diff --git a/src/providers/data_provider_be.c b/src/providers/data_provider_be.c
index 6b58d88..b5ed641 100644
--- a/src/providers/data_provider_be.c
+++ b/src/providers/data_provider_be.c
@@ -1941,8 +1941,8 @@ static int be_host_handler(DBusMessage *message, struct sbus_connection *conn)
         if (!dbret) return EIO;
 
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Request processed. Returned %d,%d,%s\n",
-               err_maj, err_min, err_msg));
+              "Request processed. Returned %d,%d,%s\n",
+               err_maj, err_min, err_msg);
 
         sbus_conn_send_reply(conn, reply);
         dbus_message_unref(reply);
@@ -2000,7 +2000,7 @@ static int be_host_handler(DBusMessage *message, struct sbus_connection *conn)
     /* process request */
 
     if (!becli->bectx->bet_info[BET_HOSTID].bet_ops) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Undefined backend target.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Undefined backend target.\n");
         err_maj = DP_ERR_FATAL;
         err_min = ENODEV;
         err_msg = "HostID back end target is not configured";
@@ -2033,8 +2033,8 @@ done:
         if (!dbret) return EIO;
 
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Request processed. Returned %d,%d,%s\n",
-               err_maj, err_min, err_msg));
+              "Request processed. Returned %d,%d,%s\n",
+               err_maj, err_min, err_msg);
 
         /* send reply back */
         sbus_conn_send_reply(conn, reply);
@@ -2049,25 +2049,25 @@ static int be_client_destructor(void *ctx)
     struct be_client *becli = talloc_get_type(ctx, struct be_client);
     if (becli->bectx) {
         if (becli->bectx->nss_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed NSS client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed NSS client\n");
             becli->bectx->nss_cli = NULL;
         } else if (becli->bectx->pam_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed PAM client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed PAM client\n");
             becli->bectx->pam_cli = NULL;
         } else if (becli->bectx->sudo_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed SUDO client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed SUDO client\n");
             becli->bectx->sudo_cli = NULL;
         } else if (becli->bectx->autofs_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed autofs client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed autofs client\n");
             becli->bectx->autofs_cli = NULL;
         } else if (becli->bectx->ssh_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed SSH client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed SSH client\n");
             becli->bectx->ssh_cli = NULL;
         } else if (becli->bectx->pac_cli == becli) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removed PAC client\n"));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removed PAC client\n");
             becli->bectx->pac_cli = NULL;
         } else {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unknown client removed ...\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unknown client removed ...\n");
         }
     }
     return 0;
@@ -2088,12 +2088,12 @@ static int client_registration(DBusMessage *message,
     data = sbus_conn_get_private_data(conn);
     becli = talloc_get_type(data, struct be_client);
     if (!becli) {
-        DEBUG(0, ("Connection holds no valid init data\n"));
+        DEBUG(0, "Connection holds no valid init data\n");
         return EINVAL;
     }
 
     /* First thing, cancel the timeout */
-    DEBUG(4, ("Cancel DP ID timeout [%p]\n", becli->timeout));
+    DEBUG(4, "Cancel DP ID timeout [%p]\n", becli->timeout);
     talloc_zfree(becli->timeout);
 
     dbus_error_init(&dbus_error);
@@ -2103,7 +2103,7 @@ static int client_registration(DBusMessage *message,
                                   DBUS_TYPE_STRING, &cli_name,
                                   DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(1, ("Failed to parse message, killing connection\n"));
+        DEBUG(1, "Failed to parse message, killing connection\n");
         if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
         sbus_disconnect(conn);
         /* FIXME: should we just talloc_zfree(conn) ? */
@@ -2123,16 +2123,16 @@ static int client_registration(DBusMessage *message,
     } else if (strcasecmp(cli_name, "PAC") == 0) {
         becli->bectx->pac_cli = becli;
     } else {
-        DEBUG(1, ("Unknown client! [%s]\n", cli_name));
+        DEBUG(1, "Unknown client! [%s]\n", cli_name);
     }
     talloc_set_destructor((TALLOC_CTX *)becli, be_client_destructor);
 
-    DEBUG(4, ("Added Frontend client [%s]\n", cli_name));
+    DEBUG(4, "Added Frontend client [%s]\n", cli_name);
 
     /* reply that all is ok */
     reply = dbus_message_new_method_return(message);
     if (!reply) {
-        DEBUG(0, ("Dbus Out of memory!\n"));
+        DEBUG(0, "Dbus Out of memory!\n");
         return ENOMEM;
     }
 
@@ -2140,7 +2140,7 @@ static int client_registration(DBusMessage *message,
                                      DBUS_TYPE_UINT16, &version,
                                      DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(0, ("Failed to build dbus reply\n"));
+        DEBUG(0, "Failed to build dbus reply\n");
         dbus_message_unref(reply);
         sbus_disconnect(conn);
         return EIO;
@@ -2164,7 +2164,7 @@ static errno_t be_file_check_online_request(struct be_req *req)
     ret = be_file_request(req->be_ctx, req,
                           req->be_ctx->bet_info[BET_ID].bet_ops->check_online);
     if (ret != EOK) {
-        DEBUG(1, ("be_file_request failed.\n"));
+        DEBUG(1, "be_file_request failed.\n");
     }
 
     return ret;
@@ -2175,16 +2175,16 @@ static void check_online_callback(struct be_req *req, int dp_err_type,
 {
     int ret;
 
-    DEBUG(4, ("Backend returned: (%d, %d, %s) [%s]\n",
+    DEBUG(4, "Backend returned: (%d, %d, %s) [%s]\n",
               dp_err_type, errnum, errstr?errstr:"<NULL>",
-              dp_pam_err_to_string(req, dp_err_type, errnum)));
+              dp_pam_err_to_string(req, dp_err_type, errnum));
 
     req->be_ctx->check_online_ref_count--;
 
     if (dp_err_type != DP_ERR_OK && req->be_ctx->check_online_ref_count > 0) {
         ret = be_file_check_online_request(req);
         if (ret != EOK) {
-            DEBUG(1, ("be_file_check_online_request failed.\n"));
+            DEBUG(1, "be_file_check_online_request failed.\n");
             goto done;
         }
         return;
@@ -2210,37 +2210,37 @@ static void check_if_online(struct be_ctx *ctx)
     struct be_req *be_req = NULL;
 
     if (ctx->offstat.offline == false) {
-        DEBUG(8, ("Backend is already online, nothing to do.\n"));
+        DEBUG(8, "Backend is already online, nothing to do.\n");
         return;
     }
 
     /* Make sure nobody tries to go online while we are checking */
     ctx->offstat.went_offline = time(NULL);
 
-    DEBUG(8, ("Trying to go back online!\n"));
+    DEBUG(8, "Trying to go back online!\n");
 
     ctx->check_online_ref_count++;
 
     if (ctx->check_online_ref_count != 1) {
-        DEBUG(8, ("There is an online check already running.\n"));
+        DEBUG(8, "There is an online check already running.\n");
         return;
     }
 
     if (ctx->bet_info[BET_ID].bet_ops->check_online == NULL) {
-        DEBUG(8, ("ID providers does not provide a check_online method.\n"));
+        DEBUG(8, "ID providers does not provide a check_online method.\n");
         goto failed;
     }
 
     be_req = be_req_create(ctx, NULL, ctx,
                            check_online_callback, NULL);
     if (be_req == NULL) {
-        DEBUG(1, ("talloc_zero failed.\n"));
+        DEBUG(1, "talloc_zero failed.\n");
         goto failed;
     }
 
     ret = be_file_check_online_request(be_req);
     if (ret != EOK) {
-        DEBUG(1, ("be_file_check_online_request failed.\n"));
+        DEBUG(1, "be_file_check_online_request failed.\n");
         goto failed;
     }
 
@@ -2248,7 +2248,7 @@ static void check_if_online(struct be_ctx *ctx)
 
 failed:
     ctx->check_online_ref_count--;
-    DEBUG(1, ("Failed to run a check_online test.\n"));
+    DEBUG(1, "Failed to run a check_online test.\n");
 
     talloc_free(be_req);
 
@@ -2266,7 +2266,7 @@ static void init_timeout(struct tevent_context *ev,
 {
     struct be_client *becli;
 
-    DEBUG(2, ("Client timed out before Identification [%p]!\n", te));
+    DEBUG(2, "Client timed out before Identification [%p]!\n", te);
 
     becli = talloc_get_type(ptr, struct be_client);
 
@@ -2287,7 +2287,7 @@ static int be_client_init(struct sbus_connection *conn, void *data)
 
     becli = talloc(conn, struct be_client);
     if (!becli) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         talloc_zfree(conn);
         return ENOMEM;
     }
@@ -2301,11 +2301,11 @@ static int be_client_init(struct sbus_connection *conn, void *data)
     becli->timeout = tevent_add_timer(bectx->ev, becli,
                                       tv, init_timeout, becli);
     if (!becli->timeout) {
-        DEBUG(0,("Out of memory?!\n"));
+        DEBUG(0,"Out of memory?!\n");
         talloc_zfree(conn);
         return ENOMEM;
     }
-    DEBUG(4, ("Set-up Backend ID timeout [%p]\n", becli->timeout));
+    DEBUG(4, "Set-up Backend ID timeout [%p]\n", becli->timeout);
 
     /* Attach the client context to the connection context, so that it is
      * always available when we need to manage the connection. */
@@ -2324,7 +2324,7 @@ static int be_srv_init(struct be_ctx *ctx)
     /* Set up SBUS connection to the monitor */
     ret = dp_get_sbus_address(ctx, &sbus_address, ctx->domain->name);
     if (ret != EOK) {
-        DEBUG(0, ("Could not get sbus backend address.\n"));
+        DEBUG(0, "Could not get sbus backend address.\n");
         return ret;
     }
 
@@ -2332,7 +2332,7 @@ static int be_srv_init(struct be_ctx *ctx)
                           &be_interface, true, &ctx->sbus_srv,
                           be_client_init, ctx);
     if (ret != EOK) {
-        DEBUG(0, ("Could not set up sbus server.\n"));
+        DEBUG(0, "Could not set up sbus server.\n");
         return ret;
     }
 
@@ -2343,7 +2343,7 @@ static void be_target_access_permit(struct be_req *be_req)
 {
     struct pam_data *pd =
                     talloc_get_type(be_req_get_data(be_req), struct pam_data);
-    DEBUG(9, ("be_target_access_permit called, returning PAM_SUCCESS.\n"));
+    DEBUG(9, "be_target_access_permit called, returning PAM_SUCCESS.\n");
 
     pd->pam_status = PAM_SUCCESS;
     be_req_terminate(be_req, DP_ERR_OK, PAM_SUCCESS, NULL);
@@ -2359,7 +2359,7 @@ static void be_target_access_deny(struct be_req *be_req)
 {
     struct pam_data *pd =
                     talloc_get_type(be_req_get_data(be_req), struct pam_data);
-    DEBUG(9, ("be_target_access_deny called, returning PAM_PERM_DENIED.\n"));
+    DEBUG(9, "be_target_access_deny called, returning PAM_PERM_DENIED.\n");
 
     pd->pam_status = PAM_PERM_DENIED;
     be_req_terminate(be_req, DP_ERR_OK, PAM_PERM_DENIED, NULL);
@@ -2393,13 +2393,13 @@ static int load_backend_module(struct be_ctx *ctx,
 
     if (bet_type <= BET_NULL || bet_type >= BET_MAX ||
         bet_type != bet_data[bet_type].bet_type) {
-        DEBUG(2, ("invalid bet_type or bet_data corrupted.\n"));
+        DEBUG(2, "invalid bet_type or bet_data corrupted.\n");
         return EINVAL;
     }
 
     tmp_ctx = talloc_new(ctx);
     if (!tmp_ctx) {
-        DEBUG(7, ("talloc_new failed.\n"));
+        DEBUG(7, "talloc_new failed.\n");
         return ENOMEM;
     }
 
@@ -2412,8 +2412,8 @@ static int load_backend_module(struct be_ctx *ctx,
     }
     if (!mod_name) {
         if (default_mod_name != NULL) {
-            DEBUG(5, ("no module name found in confdb, using [%s].\n",
-                      default_mod_name));
+            DEBUG(5, "no module name found in confdb, using [%s].\n",
+                      default_mod_name);
             mod_name = talloc_strdup(ctx, default_mod_name);
         } else {
             ret = ENOENT;
@@ -2449,7 +2449,7 @@ static int load_backend_module(struct be_ctx *ctx,
                                        bet_data[bet_type].mod_init_fn_name_fmt,
                                        mod_name);
     if (mod_init_fn_name == NULL) {
-        DEBUG(7, ("talloc_asprintf failed\n"));
+        DEBUG(7, "talloc_asprintf failed\n");
         ret = ENOMEM;
         goto done;
     }
@@ -2459,14 +2459,14 @@ static int load_backend_module(struct be_ctx *ctx,
     while(ctx->loaded_be[lb].be_name != NULL) {
         if (strncmp(ctx->loaded_be[lb].be_name, mod_name,
                     strlen(mod_name)) == 0) {
-            DEBUG(7, ("Backend [%s] already loaded.\n", mod_name));
+            DEBUG(7, "Backend [%s] already loaded.\n", mod_name);
             already_loaded = true;
             break;
         }
 
         ++lb;
         if (lb >= BET_MAX) {
-            DEBUG(2, ("Backend context corrupted.\n"));
+            DEBUG(2, "Backend context corrupted.\n");
             ret = EINVAL;
             goto done;
         }
@@ -2480,11 +2480,11 @@ static int load_backend_module(struct be_ctx *ctx,
             goto done;
         }
 
-        DEBUG(7, ("Loading backend [%s] with path [%s].\n", mod_name, path));
+        DEBUG(7, "Loading backend [%s] with path [%s].\n", mod_name, path);
         handle = dlopen(path, RTLD_NOW);
         if (!handle) {
-            DEBUG(0, ("Unable to load %s module with path (%s), error: %s\n",
-                      mod_name, path, dlerror()));
+            DEBUG(0, "Unable to load %s module with path (%s), error: %s\n",
+                      mod_name, path, dlerror());
             ret = ELIBACC;
             goto done;
         }
@@ -2503,8 +2503,8 @@ static int load_backend_module(struct be_ctx *ctx,
              * handle the different types of error conditions. */
             ret = ENOENT;
         } else {
-            DEBUG(0, ("Unable to load init fn %s from module %s, error: %s\n",
-                      mod_init_fn_name, mod_name, dlerror()));
+            DEBUG(0, "Unable to load init fn %s from module %s, error: %s\n",
+                      mod_init_fn_name, mod_name, dlerror());
             ret = ELIBBAD;
         }
         goto done;
@@ -2512,8 +2512,8 @@ static int load_backend_module(struct be_ctx *ctx,
 
     ret = mod_init_fn(ctx, &(*bet_info).bet_ops, &(*bet_info).pvt_bet_data);
     if (ret != EOK) {
-        DEBUG(0, ("Error (%d) in module (%s) initialization (%s)!\n",
-                  ret, mod_name, mod_init_fn_name));
+        DEBUG(0, "Error (%d) in module (%s) initialization (%s)!\n",
+                  ret, mod_name, mod_init_fn_name);
         goto done;
     }
 
@@ -2548,7 +2548,7 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -2556,8 +2556,8 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
                                     CONFDB_MONITOR_CONF_ENTRY,
                                     CONFDB_MONITOR_ACTIVE_SERVICES, &services);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Unable to read from confdb [%d]: %s\n",
-                                     ret, strerror(ret)));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Unable to read from confdb [%d]: %s\n",
+                                     ret, strerror(ret));
         goto done;
     }
 
@@ -2571,15 +2571,15 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
     ret = confdb_get_string(be_ctx->cdb, tmp_ctx, be_ctx->conf_path,
                             CONFDB_DOMAIN_SUDO_PROVIDER, NULL, &provider);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Unable to read from confdb [%d]: %s\n",
-                                     ret, strerror(ret)));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Unable to read from confdb [%d]: %s\n",
+                                     ret, strerror(ret));
         goto done;
     }
 
     if (!responder_enabled && provider == NULL) {
         /* provider is not set explicitly */
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("SUDO is not listed in services, disabling SUDO module.\n"));
+              "SUDO is not listed in services, disabling SUDO module.\n");
         ret = ENOENT;
         goto done;
     }
@@ -2587,8 +2587,8 @@ int be_process_init_sudo(struct be_ctx *be_ctx)
     if (!responder_enabled && provider != NULL
             && strcmp(provider, NO_PROVIDER) != 0) {
         /* provider is set but responder is disabled */
-        DEBUG(SSSDBG_MINOR_FAILURE, ("SUDO provider is set, but it is not "
-              "listed in active services. SUDO support will not work!\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "SUDO provider is set, but it is not "
+              "listed in active services. SUDO support will not work!\n");
     }
 
     ret = load_backend_module(be_ctx, BET_SUDO, &be_ctx->bet_info[BET_SUDO],
@@ -2610,7 +2610,7 @@ int be_process_init(TALLOC_CTX *mem_ctx,
 
     ctx = talloc_zero(mem_ctx, struct be_ctx);
     if (!ctx) {
-        DEBUG(0, ("fatal error initializing be_ctx\n"));
+        DEBUG(0, "fatal error initializing be_ctx\n");
         return ENOMEM;
     }
     ctx->ev = ev;
@@ -2618,7 +2618,7 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     ctx->identity = talloc_asprintf(ctx, "%%BE_%s", be_domain);
     ctx->conf_path = talloc_asprintf(ctx, CONFDB_DOMAIN_PATH_TMPL, be_domain);
     if (!ctx->identity || !ctx->conf_path) {
-        DEBUG(0, ("Out of memory!?\n"));
+        DEBUG(0, "Out of memory!?\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -2626,13 +2626,13 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     ret = be_init_failover(ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("fatal error initializing failover context\n"));
+              "fatal error initializing failover context\n");
         goto fail;
     }
 
     ret = sssd_domain_init(ctx, cdb, be_domain, DB_PATH, &ctx->domain);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("fatal error opening cache database\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "fatal error opening cache database\n");
         goto fail;
     }
 
@@ -2641,7 +2641,7 @@ int be_process_init(TALLOC_CTX *mem_ctx,
                            ctx, &ctx->mon_conn);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("fatal error setting up monitor bus\n"));
+              "fatal error setting up monitor bus\n");
         goto fail;
     }
 
@@ -2651,21 +2651,21 @@ int be_process_init(TALLOC_CTX *mem_ctx,
                          ctx->domain->name, &ctx->domain->names);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("fatal error setting fully qualified name format for %s\n",
-              ctx->domain->name));
+              "fatal error setting fully qualified name format for %s\n",
+              ctx->domain->name);
         goto fail;
     }
 
     ret = be_srv_init(ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("fatal error setting up server bus\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "fatal error setting up server bus\n");
         goto fail;
     }
 
     /* Initialize be_refresh periodic task. */
     ctx->refresh_ctx = be_refresh_ctx_init(ctx);
     if (ctx->refresh_ctx == NULL) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("Unable to initialize refresh_ctx\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "Unable to initialize refresh_ctx\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -2678,7 +2678,7 @@ int be_process_init(TALLOC_CTX *mem_ctx,
                               ctx->refresh_ctx, "Refresh Records", NULL);
         if (ret != EOK) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Unable to initialize refresh periodic task\n"));
+                  "Unable to initialize refresh periodic task\n");
             goto fail;
         }
     }
@@ -2687,12 +2687,12 @@ int be_process_init(TALLOC_CTX *mem_ctx,
                               &ctx->bet_info[BET_ID], NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("fatal error initializing data providers\n"));
+              "fatal error initializing data providers\n");
         goto fail;
     }
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("ID backend target successfully loaded from provider [%s].\n",
-          ctx->bet_info[BET_ID].mod_name));
+          "ID backend target successfully loaded from provider [%s].\n",
+          ctx->bet_info[BET_ID].mod_name);
 
     ret = load_backend_module(ctx, BET_AUTH,
                               &ctx->bet_info[BET_AUTH],
@@ -2700,28 +2700,28 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         if (ret != ENOENT) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("fatal error initializing data providers\n"));
+                  "fatal error initializing data providers\n");
             goto fail;
         }
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("No authentication module provided for [%s] !!\n",
-              be_domain));
+              "No authentication module provided for [%s] !!\n",
+              be_domain);
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("AUTH backend target successfully loaded "
-               "from provider [%s].\n", ctx->bet_info[BET_AUTH].mod_name));
+              "AUTH backend target successfully loaded "
+               "from provider [%s].\n", ctx->bet_info[BET_AUTH].mod_name);
     }
 
     ret = load_backend_module(ctx, BET_ACCESS, &ctx->bet_info[BET_ACCESS],
                               ACCESS_PERMIT);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to setup ACCESS backend.\n"));
+              "Failed to setup ACCESS backend.\n");
         goto fail;
     }
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("ACCESS backend target successfully loaded "
-           "from provider [%s].\n", ctx->bet_info[BET_ACCESS].mod_name));
+          "ACCESS backend target successfully loaded "
+           "from provider [%s].\n", ctx->bet_info[BET_ACCESS].mod_name);
 
     ret = load_backend_module(ctx, BET_CHPASS,
                               &ctx->bet_info[BET_CHPASS],
@@ -2729,31 +2729,31 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         if (ret != ENOENT) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("fatal error initializing data providers\n"));
+                  "fatal error initializing data providers\n");
             goto fail;
         }
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("No change password module provided for [%s] !!\n",
-               be_domain));
+              "No change password module provided for [%s] !!\n",
+               be_domain);
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("CHPASS backend target successfully loaded "
-               "from provider [%s].\n", ctx->bet_info[BET_CHPASS].mod_name));
+              "CHPASS backend target successfully loaded "
+               "from provider [%s].\n", ctx->bet_info[BET_CHPASS].mod_name);
     }
 
     ret = be_process_init_sudo(ctx);
     if (ret != EOK) {
         if (ret != ENOENT) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("fatal error initializing data providers\n"));
+                  "fatal error initializing data providers\n");
             goto fail;
         }
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("No SUDO module provided for [%s] !!\n", be_domain));
+              "No SUDO module provided for [%s] !!\n", be_domain);
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("SUDO backend target successfully loaded "
-               "from provider [%s].\n", ctx->bet_info[BET_SUDO].mod_name));
+              "SUDO backend target successfully loaded "
+               "from provider [%s].\n", ctx->bet_info[BET_SUDO].mod_name);
     }
 
     ret = load_backend_module(ctx, BET_AUTOFS,
@@ -2762,15 +2762,15 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         if (ret != ENOENT) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("fatal error initializing data providers\n"));
+                  "fatal error initializing data providers\n");
             goto fail;
         }
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("No autofs module provided for [%s] !!\n", be_domain));
+              "No autofs module provided for [%s] !!\n", be_domain);
     } else {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("autofs backend target successfully loaded "
-               "from provider [%s].\n", ctx->bet_info[BET_AUTOFS].mod_name));
+              "autofs backend target successfully loaded "
+               "from provider [%s].\n", ctx->bet_info[BET_AUTOFS].mod_name);
     }
 
     ret = load_backend_module(ctx, BET_SELINUX,
@@ -2778,14 +2778,14 @@ int be_process_init(TALLOC_CTX *mem_ctx,
                               ctx->bet_info[BET_ID].mod_name);
     if (ret != EOK) {
         if (ret != ENOENT) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("fatal error initializing data providers\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "fatal error initializing data providers\n");
             goto fail;
         }
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No selinux module provided for [%s] !!\n",
-                  be_domain));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No selinux module provided for [%s] !!\n",
+                  be_domain);
     } else {
-        DEBUG(SSSDBG_TRACE_ALL, ("selinux backend target successfully loaded "
-                  "from provider [%s].\n", ctx->bet_info[BET_SELINUX].mod_name));
+        DEBUG(SSSDBG_TRACE_ALL, "selinux backend target successfully loaded "
+                  "from provider [%s].\n", ctx->bet_info[BET_SELINUX].mod_name);
     }
 
     ret = load_backend_module(ctx, BET_HOSTID,
@@ -2794,26 +2794,26 @@ int be_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         if (ret != ENOENT) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("fatal error initializing data providers\n"));
+                  "fatal error initializing data providers\n");
             goto fail;
         }
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("No host info module provided for [%s] !!\n", be_domain));
+              "No host info module provided for [%s] !!\n", be_domain);
     } else {
         DEBUG(SSSDBG_TRACE_ALL,
-              ("HOST backend target successfully loaded from provider [%s].\n",
-               ctx->bet_info[BET_HOSTID].mod_name));
+              "HOST backend target successfully loaded from provider [%s].\n",
+               ctx->bet_info[BET_HOSTID].mod_name);
     }
 
     ret = load_backend_module(ctx, BET_SUBDOMAINS,
                               &ctx->bet_info[BET_SUBDOMAINS],
                               ctx->bet_info[BET_ID].mod_name);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Subdomains are not supported for [%s] !!\n", be_domain));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Subdomains are not supported for [%s] !!\n", be_domain);
     } else {
-        DEBUG(SSSDBG_TRACE_ALL, ("Get-Subdomains backend target successfully loaded "
+        DEBUG(SSSDBG_TRACE_ALL, "Get-Subdomains backend target successfully loaded "
                   "from provider [%s].\n",
-                  ctx->bet_info[BET_SUBDOMAINS].mod_name));
+                  ctx->bet_info[BET_SUBDOMAINS].mod_name);
     }
 
     /* Handle SIGUSR1 to force offline behavior */
@@ -2887,20 +2887,20 @@ int main(int argc, const char *argv[])
 
     ret = server_setup(srv_name, 0, confdb_path, &main_ctx);
     if (ret != EOK) {
-        DEBUG(0, ("Could not set up mainloop [%d]\n", ret));
+        DEBUG(0, "Could not set up mainloop [%d]\n", ret);
         return 2;
     }
 
     ret = setenv(SSS_DOM_ENV, be_domain, 1);
     if (ret != 0) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Setting "SSS_DOM_ENV" failed, journald "
-              "logging mightnot work as expected\n"));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Setting "SSS_DOM_ENV" failed, journald "
+              "logging mightnot work as expected\n");
     }
 
     ret = die_if_parent_died();
     if (ret != EOK) {
         /* This is not fatal, don't return */
-        DEBUG(2, ("Could not set up to exit when parent process does\n"));
+        DEBUG(2, "Could not set up to exit when parent process does\n");
     }
 
     ret = be_process_init(main_ctx,
@@ -2908,11 +2908,11 @@ int main(int argc, const char *argv[])
                           main_ctx->event_ctx,
                           main_ctx->confdb_ctx);
     if (ret != EOK) {
-        DEBUG(0, ("Could not initialize backend [%d]\n", ret));
+        DEBUG(0, "Could not initialize backend [%d]\n", ret);
         return 3;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Backend provider (%s) started!\n", be_domain));
+    DEBUG(SSSDBG_TRACE_FUNC, "Backend provider (%s) started!\n", be_domain);
 
     /* loop on main */
     server_loop(main_ctx);
